PipeWire 0.2.6

Public Member Functions
pw_command Class Reference

A configuration command. More...

## Public Member Functions
SPA_EXPORT void | pw_command_free (struct pw_command *command)
| Free command. More...
SPA_EXPORT struct pw_command * | pw_command_parse (const char *line, char **err)
| Parses a command line. More...
SPA_EXPORT int | pw_command_run (struct pw_command *command, struct pw_core *core, char **err)
| Run a command. More...

## Detailed Description

A configuration command.

## Member Function Documentation

## ◆ pw_command_free()

SPA_EXPORT void pw_command_free | ( | struct pw_command * | command | ) |

Free command.

Parameters

  command | a command to free

Free all resources assicated with command.

References pw_utils::pw_free_strv().

## ◆ pw_command_parse()

SPA_EXPORT struct pw_command * pw_command_parse | ( | const char * | line,
|  | char ** | err
| ) |  |

Parses a command line.

Parameters

  | line | command line to parse
  [out] | err | Return location for an error

Returns
  The command or NULL when err is set.

Parses a command line, line, and return the parsed command. A command can later be executed with pw_command_run()

## ◆ pw_command_run()

SPA_EXPORT int pw_command_run | ( | struct pw_command * | command,
|  | struct pw_core * | core,
|  | char ** | err
| ) |  |

Run a command.

Parameters

  command | A pw_command
  core | A pw_core
  err | Return location for an error string, or NULL

Returns
  0 on success, < 0 on error

The documentation for this class was generated from the following files:

- command.h
- command.c